• recur errorsrors

    From Access Denied@VERT/PHARCYDE to Rastus on Saturday, January 11, 2014 23:53:10
    Hello Rastus,

    On 11 Jan 14 11:47, Rastus wrote to Digital Man:

    Have you considered trying the current development version (3.16),
    as an experiment, to see if it resolves the issue?

    I have been wanting to try 3.16. I like to update from CVS and I have
    not seen any instructions on how to upgrade to 3.16 using that method. I've been told there are instructions on the Sync Wiki, but I went all over the Wiki and ended up going in circles looking for it. I gave up looking for the instructions after spending hours doing so. What's
    more, I had a stroke and and no longer type very well so I don't want
    to waste anyone's time in the IRC channels. That damned stroke has
    also made it difficult for me to communicate my thoughts and ideas.. somehow they get lost between my brain and the keyboard and I often
    come across like I'm an ass when that was not my intention at all..

    I can not find any upgrade instructions elsewhere either other than
    some stuff in the DoveNet echo's but most of it directed towards the
    Win version.

    http://wiki.synchro.net/install:nix

    Scroll down the page quite a bit (almost to the bottom) and the last section is "Upgrading". As long as you don't have any custom stuff done in your exec directory, you should be fine. Follow those 10 steps line for line and you should be good to go.

    If you do have any custom stuff in your exec directory, you should move them to your mods directory so that they will still be loaded (even before something that would reside in the exec dir) and won't be overwritten when you grab a CVS update.

    Good luck, and if you have any questions you can ask here or email/netmail me if you wish.

    Regards,
    Nick

    --- GoldED+/LNX 1.1.5-b20130910
    * Origin: Dark Sorrow | darksorrow.us (723:1/701)
    Synchronet thePharcyde_ telnet://bbs.pharcyde.org (Wisconsin)
  • From Rastus@VERT/EWBBS to Access Denied on Sunday, January 12, 2014 16:47:21
    I have been updating from CVS for several years now. So are you saything
    that when the update to 3.16 is released that it will update from CVS?

    Access Denied wrote:
    http://wiki.synchro.net/install:nix

    Scroll down the page quite a bit (almost to the bottom) and the last
    section is "Upgrading". As long as you don't have any custom stuff done in your exec directory, you should be fine. Follow those 10 steps line for
    line and you should be good to go.

    ---
    Synchronet Electronic Warfare BBS | telnet://ewbbs.synchro.net
  • From Mro@VERT/BBSESINF to All on Sunday, January 12, 2014 21:33:49
    Re: Re: recur errorsrors
    By: Rastus to Access Denied on Sun Jan 12 2014 04:47 pm

    I have been updating from CVS for several years now. So are you saything that when the update to 3.16 is released that it will update from CVS?

    Access Denied wrote:
    http://wiki.synchro.net/install:nix

    Scroll down the page quite a bit (almost to the bottom) and the last section is "Upgrading". As long as you don't have any custom stuff done
    in your exec directory, you should be fine. Follow those 10 steps line


    isnt there an upgrade script? maybe it doesnt work anymore.

    upgrading on linux is easy. backup, compile from cvs, drop in your scripts and data files.
    ---
    Synchronet ::: BBSES.info - free BBS services :::
  • From Access Denied@VERT/PHARCYDE to Rastus on Sunday, January 12, 2014 21:05:16
    Hello Rastus,

    On 12 Jan 14 16:47, Rastus wrote to Access Denied:

    I have been updating from CVS for several years now. So are you
    saything that when the update to 3.16 is released that it will update
    from CVS?

    I would certainly think so. I'm guessing the "release" will only be for Win32 users. The Linux crowd have the Synchronet CVS, which is basically almost like a rolling distrobution in it's own way.

    Regards,
    Nick

    --- GoldED+/LNX 1.1.5-b20130910
    * Origin: Dark Sorrow | darksorrow.us (723:1/701)
    Synchronet thePharcyde_ telnet://bbs.pharcyde.org (Wisconsin)
  • From Deuce@VERT/SYNCNIX to Access Denied on Monday, January 13, 2014 10:28:38
    Re: recur errorsrors
    By: Access Denied to Rastus on Sun Jan 12 2014 09:05 pm

    I have been updating from CVS for several years now. So are you saything that when the update to 3.16 is released that it will update from CVS?

    I would certainly think so. I'm guessing the "release" will only be for Win32 users. The Linux crowd have the Synchronet CVS, which is basically almost like a rolling distrobution in it's own way.

    The hope is to fix that by having releases closer together. It's entirely possible to run a release on Linux, but there's currently not much point. With
    a but of luck, we'll have everyone who isn't using experimental features back on a release build in the not too distance future.

    This will also allow packaging with distros and such, as well as getting better
    support from upstream sources and Linux distros.

    ---
    http://DuckDuckGo.com/ a better search engine that respects your privacy.
    Synchronet My Brand-New BBS (All the cool SysOps run STOCK!)
  • From Access Denied@VERT/PHARCYDE to Rastus on Tuesday, January 14, 2014 20:31:30
    Hello Rastus,

    On 14 Jan 14 07:43, Rastus wrote to Mro:

    Thanks but I had asked about upgrading to 3.16. I keep current..
    here's the script I run at least weekly:

    cd /sbbs
    tar -czf exec.tgz exec
    export CVSROOT=:pserver:anonymous@cvs.synchro.net:/cvsroot/sbbs
    cvs update -d exec
    cvs update src 3rdp
    cd /sbbs/src/sbbs3
    make RELEASE=1
    cd /sbbs/src/sbbs3/scfg
    make RELEASE=1
    cd /sbbs/exec
    make
    /sbbs/exec/jsexec update.js

    And your DOS doors still work? Usually you need to include the USE_DOSEMU=1 make option.. That's odd.

    Regards,
    Nick

    --- GoldED+/LNX 1.1.5-b20130910
    * Origin: Dark Sorrow | darksorrow.us (723:1/701)
    Synchronet thePharcyde_ telnet://bbs.pharcyde.org (Wisconsin)
  • From Rastus@VERT/EWBBS to Access Denied on Wednesday, January 15, 2014 12:32:54
    Access Denied wrote:

    Hello Rastus,

    On 14 Jan 14 07:43, Rastus wrote to Mro:

    Thanks but I had asked about upgrading to 3.16. I keep current..
    here's the script I run at least weekly:

    cd /sbbs
    tar -czf exec.tgz exec
    export CVSROOT=:pserver:anonymous@cvs.synchro.net:/cvsroot/sbbs
    cvs update -d exec
    cvs update src 3rdp
    cd /sbbs/src/sbbs3
    make RELEASE=1
    cd /sbbs/src/sbbs3/scfg
    make RELEASE=1
    cd /sbbs/exec
    make
    /sbbs/exec/jsexec update.js

    And your DOS doors still work? Usually you need to include the
    USE_DOSEMU=1 make option.. That's odd.

    Yes they work fine. When I first installed I would have used that option.
    But this script isn't my invention, it is based on the instructions as
    listed at wiki.synchro.net/install:nix. I've been running it for nearly 2 years and it works well.

    ---
    Synchronet Electronic Warfare BBS | telnet://ewbbs.synchro.net